using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace prj_wfrm_centreCall_tickets
{
    public partial class Tck_part_client : Form
    {
        public Tck_part_client()
        {
            InitializeComponent();
        }

        private void Tck_part_client_Load(object sender, EventArgs e)
        {
            if (tab.nbClients == 0)
            {
                MessageBox.Show("Aucun", "Information", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            else
            {

                for (int i = 0; i < tab.nbClients; i++)
                {

                    //affiche tout les client dans la comboBox 
                    
                    CB_client.Items.Add(tab.client[i].raisonSociale);
                }
            }
        }

        private void CB_client_SelectedIndexChanged(object sender, EventArgs e)
        {
            int client = CB_client.SelectedIndex +1; // aux clic du button on recupere le n°de client pour povoir l'associer a son/ou ses ticket 
            DataTable resultat = new DataTable();

            string sql = "SELECT tck_num,tck_date,tck_objet,tck_date_cloture,tck_nb_heure,tec_nom,tec_prenom FROM tb_ticket INNER JOIN tb_technicien ON tck_tec_num = tec_num INNER JOIN tb_client on tck_cln_num = cln_num where cln_num = " + client +";";
            
            resultat = Global.connexion(sql);

            int i = 0;

            foreach (DataRow valeur in resultat.Rows)
            {
                tab.ticket[i].numero = int.Parse(valeur["tck_num"].ToString());
                tab.ticket[i].dateTicket = DateTime.Parse(valeur["tck_date"].ToString());
                tab.ticket[i].objetTicket = (valeur["tck_objet"].ToString());
                tab.ticket[i].dateCloture = DateTime.Parse(valeur["tck_date_cloture"].ToString());
                tab.ticket[i].nbHeures = float.Parse(valeur["tck_nb_heure"].ToString());
                tab.technicien[i].nomTech = (valeur["tec_nom"].ToString());
                tab.technicien[i].prenomTech = (valeur["tec_prenom"].ToString());

                //Compteur nombre de lignes
                i++;
            }
            tab.nbTickets = i;
            listView1.Items.Clear();
                for(int j = 0; j<tab.nbTickets; j++)
                {
                    ListViewItem ligne = new ListViewItem();

                    ligne.Text = tab.ticket[j].objetTicket;

                    if (tab.ticket[j].dateCloture == DateTime.MinValue)
                        ligne.SubItems.Add("");
                    else
                        ligne.SubItems.Add((tab.ticket[j].dateCloture).ToShortDateString());


                    if (tab.technicien[j].nomTech == "")
                        ligne.SubItems.Add("");
                    else
                        ligne.SubItems.Add(tab.technicien[j].nomTech.ToString());

                    listView1.Items.Add(ligne);
                }
            }
        }
    }

